<?php

namespace App\Entities\ComandaPagamento;

use App\Utils\Entity;

class ComandaPagamento extends Entity {
	protected $id;
	protected $comanda_fechamento_id;
	protected $valor;
	protected $forma_pagamento_id;
	protected $dbtcrd;
	protected $maquineta;
	protected $bandeira;
	protected $codauth;
	protected $observacao;
	protected $dinheiro;
	protected $troco;
	protected $chavepix;
	protected $criado_por;
	protected $data_criacao;
	protected $hora_criacao;
	protected $atualizado_por;
	protected $data_atualizacao;
	protected $hora_atualizacao;
	protected $credito_clliente;

	public static function builder(): ComandaPagamentoBuilder {

		return (new ComandaPagamentoBuilder());

	}

	/**
	 *
	 * @return mixed
	 */
	public function getId() {

		return $this->id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getComanda_fechamento_id() {

		return $this->comanda_fechamento_id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValor() {

		return $this->valor;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getForma_pagamento_id() {

		return $this->forma_pagamento_id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDbtcrd() {

		return $this->dbtcrd;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getMaquineta() {

		return $this->maquineta;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getBandeira() {

		return $this->bandeira;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCodauth() {

		return $this->codauth;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getObservacao() {

		return $this->observacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDinheiro() {

		return $this->dinheiro;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCreditoCliente() {

		return $this->credito_clliente;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getTroco() {

		return $this->troco;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getChavepix() {

		return $this->chavepix;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCriado_por() {

		return $this->criado_por;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getData_criacao() {

		return $this->data_criacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHora_criacao() {

		return $this->hora_criacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getAtualizado_por() {

		return $this->atualizado_por;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getData_atualizacao() {

		return $this->data_atualizacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHora_atualizacao() {

		return $this->hora_atualizacao;

	}

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id) {

		$this->id = $id;

	}

	/**
	 *
	 * @param mixed $comanda_fechamento_id
	 */
	public function setComanda_fechamento_id($comanda_fechamento_id) {

		$this->comanda_fechamento_id = $comanda_fechamento_id;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor) {

		$this->valor = $valor;

	}

	/**
	 *
	 * @param mixed $forma_pagamento_id
	 */
	public function setForma_pagamento_id($forma_pagamento_id) {

		$this->forma_pagamento_id = $forma_pagamento_id;

	}

	/**
	 *
	 * @param mixed $dbtcrd
	 */
	public function setDbtcrd($dbtcrd) {

		$this->dbtcrd = $dbtcrd;

	}

	/**
	 *
	 * @param mixed $maquineta
	 */
	public function setMaquineta($maquineta) {

		$this->maquineta = $maquineta;

	}

	/**
	 *
	 * @param mixed $bandeiramaquineta
	 */
	public function setBandeira($bandeira) {

		$this->bandeira = $bandeira;

	}

	/**
	 *
	 * @param mixed $codauth
	 */
	public function setCodauth($codauth) {

		$this->codauth = $codauth;

	}

	/**
	 *
	 * @param mixed $observacao
	 */
	public function setObservacao($observacao) {

		$this->observacao = $observacao;

	}

	/**
	 *
	 * @param mixed $dinheiro
	 */
	public function setDinheiro($dinheiro) {

		$v = strval( $dinheiro );
		if (strlen( $v ) > 0) {
			$t = str_replace( ',', '.', $v );
			$this->dinheiro = $t;
		} else {
			$this->dinheiro = $dinheiro;
		}

	}

	/**
	 *
	 * @param mixed $dinheiro
	 */
	public function setCreditoCliente($credito_cliente) {

		$this->credito_clliente = $credito_cliente;

	}

	/**
	 *
	 * @param mixed $troco
	 */
	public function setTroco($troco) {

		$v = strval( $troco );
		if (strlen( $v ) > 0) {
			$t = str_replace( ',', '.', $v );
			$this->troco = $t;
		} else {
			$this->troco = $troco;
		}

	}

	/**
	 *
	 * @param mixed $chavepix
	 */
	public function setChavepix($chavepix) {

		$this->chavepix = $chavepix;

	}

	/**
	 *
	 * @param mixed $criado_por
	 */
	public function setCriado_por($criado_por) {

		$this->criado_por = $criado_por;

	}

	/**
	 *
	 * @param mixed $data_criacao
	 */
	public function setData_criacao($data_criacao) {

		$this->data_criacao = $data_criacao;

	}

	/**
	 *
	 * @param mixed $hora_criacao
	 */
	public function setHora_criacao($hora_criacao) {

		$this->hora_criacao = $hora_criacao;

	}

	/**
	 *
	 * @param mixed $atualizado_por
	 */
	public function setAtualizado_por($atualizado_por) {

		$this->atualizado_por = $atualizado_por;

	}

	/**
	 *
	 * @param mixed $data_atualizacao
	 */
	public function setData_atualizacao($data_atualizacao) {

		$this->data_atualizacao = $data_atualizacao;

	}

	/**
	 *
	 * @param mixed $hora_atualizacao
	 */
	public function setHora_atualizacao($hora_atualizacao) {

		$this->hora_atualizacao = $hora_atualizacao;

	}

}

